#delimit ;
set more 1;
version 5.0;
log using clcinc4,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCINC4.DO               V : 01              *;
*    Date    : oct 16,1995/ June 1998 E.Skoufias            *;
*    Infile  : file20v0                                     *;
*    Outfile : WINC3                                        *;
*                                                           *;
*    OBJECTIVE: Calculates Income from self-employment      *;
*                                                           *;
*                                                           *;                                                         *;
*************************************************************;



use d:\bulgarib\ihs97\dta97\cleanihs\file20v0;
sort hhnum idcode;
merge hhnum idcode using
d:\bulgarib\ihs97\dta97\cleanihs\file02v1;

keep if _merge==3;

**  This step calculates income from self-employment;

**Step 1: check for outliers-by careful observation.
If value > 99pctile then flag it
there are only a few
of observations which are outliers;

sum self_csh, detail;
scalar cash99=_result(17);
gen flag1=1 if self_csh>cash99;

sum self_knd, detail;
scalar kind99=_result(17);
gen flag2=1 if self_knd>kind99;

scalar drop cash99 kind99;

tab flag1 flag2;

**step 2: replace the outliers with missing values;
replace self_csh=. if flag1==1;
replace self_knd=. if flag2==1;

** step 3: calculte the median values-by type of activity, age and locality;
egen medcash=median(self_csh), by(slf1_act slf2_act age_yrs gender);
egen medknd=median(self_knd), by(slf1_act slf2_act age_yrs gender);

*** step 3: replace the missing values with median values;
replace self_csh=medcash if self_csh==.;
replace self_knd=medknd if self_knd==.;

gen selfinc=self_csh+self_knd;

;
keep hhnum idcode selfinc self_csh self_knd;
keep if selfinc~=. & self_c~=. & self_k~=.;
lab data "Self Employment Income";
sort hhnum idcode;
sum;
save winc3, replace;

;
clear;

log close;
