#delimit ;
set more 1;
version 5.0;
log using clcinc5,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCINC5.DO               V : 01              *;
*    Date    : oct 16,1995/ June 1998 E.Skoufias            *;
*    Infile  : file21v0                                     *;
*    Outfile : WINC4                                        *;
*                                                           *;
*    OBJECTIVE: Calculates Income from self-employment      *;
*               for business only                           *;
*                                                           *;                                                         *;
*************************************************************;



use d:\bulgarib\ihs97\dta97\cleanihs\file21v0;

**  This step calculates income from self-employment-business;
** first calculate the total expenses on a monthly basis;

gen totexp=(bcost/12 + b_sala + b_lab_co + b_materi + b_oth_ex);
lab var totexp "monthly total expenditure";
lab value totexp totexp;

** calculate the monthly revenues;
gen busrev=b_val_pr*4;
lab var busrev "monthly self-bus revenue";
lab value busrev busrev;

** calculate the net worth;
gen networth=busrev-totexp;
lab var networth "net worth self-bus";
lab value networth networth;

sum netw;
;

sort hhnum;
keep hhnum networth;
lab data "Self Employment net-worth";
save winc4, replace;

;
clear;

log close;
